<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
        <div class="col-sm-12 col-md-4 col-lg-3 col-xl-2" *ngFor="let dash of assetCountCardArrayOne">
          <app-count-card [dashData]="dash" [selectedAssetTypesForFilter]="selectedAssets" (filterAssetType)="filterAssetOnType($event)"
                          (embossedFlagStatus)="setEmbossedFlagStatus($event)"></app-count-card>
        </div>
    </div>
    <div class="carousel-item">
        <div class="col-sm-12 col-md-4 col-lg-3 col-xl-2" *ngFor="let dash of assetCountCardArrayTwo">
          <app-count-card [dashData]="dash" [selectedAssetTypesForFilter]="selectedAssets" (filterAssetType)="filterAssetOnType($event)"
                          (embossedFlagStatus)="setEmbossedFlagStatus($event)"></app-count-card>
        </div>
    </div>
  </div>
  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev" (click)="stopScroll()">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next" (click)="stopScroll()">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>

<!--<div class="row d-flex justify-content-center" style="margin-top: 10px; margin-bottom: 10px">
    <div class="col-sm-12 col-md-4 col-lg-3 col-xl-2" *ngFor="let dash of assetCountByType">
      <app-count-card [dashData]="dash" [selectedAssetTypesForFilter]="selectedAssets" (filterAssetType)="filterAssetOnType($event)"
                      (embossedFlagStatus)="setEmbossedFlagStatus($event)"></app-count-card>
    </div>
  </div>-->

  <div *ngIf="isShowAsset">
    <app-loader></app-loader>
  </div>

  <div class="row assetContainer" style="margin-top: 30px">
    <div class="col-sm-6 col-md-6 col-lg-3" *ngFor="let asset of allAssets">
      <app-asset-card [assetData]="asset" [assetConfigDetails]="assetConfigDetails" [showCloseBtn]="false"
                      [showGroupBtn]="true" [upadtedCartSpecificDetails]="upadtedCartSpecificDetails"
                      [isCardClickable]="true" [showStatusOnAssetCard]="asset.showStatus"
                      [assetDetailsAfterLinkingUpdated]="assetDetailsAfterLinkingUpdated"
                      (editAsset)="editAsset($event)" [config]="assetConfigDetails"></app-asset-card>
    </div>
    <div class="W100FL TAC"><h3 *ngIf="allAssets.length === 0 && (selectedAssetsNames != '')" class="asset-not-found"><span>&ldquo;</span>Assets not found for the selected type {{selectedAssetsNames}}<span>&rdquo;</span></h3></div>
    <div class="W100FL TAC"><h3 *ngIf="allAssets.length === 0 && (selectedAssetsNames == '')" class="asset-not-found"><span>&ldquo;</span>Assets not found<span>&rdquo;</span></h3></div>
  </div>

  <app-add-asset-list *ngIf="SUBJECT.ASSET| can:ACTIONS.WRITE"  [assetTypesWithLabelsData]="assetCountByType" (assetToAdd)="assetTypeToAdd($event)" ></app-add-asset-list>


  <div *ngIf="showSlider"><app-right-sidebar [assetLinkedDetails]="assetLinkedDetails" [assetData]="assetData" [assetConfigDetails]="assetConfigDetails"
                                             [serviceAssetConfigDetails]="serviceAssetConfigDetails" [allServersStats]="allServersStatsArray" [allServicesStatus]="allServicesStatus"
                                             [isLinkDelinkAction]="linkDelinkAction" [isServiceLinkDelinkAction]="isServiceLinkDelinkAction" [resetFormData]="resetFormData"
                                             [showCircularLoaderValue]="showCircularLoaderValue" [isAssetDeregisteredSuccess]="isAssetDeregisteredSuccess"
                                             (linkAssetDetailsToMainComponent)="linkAsset($event)"
                                             (linkServiceDetailsToMainComponent)="linkServicesToAsset($event)"
                                             (delinkAssetDetailsToMainComponent)="delinkAsset($event)"
                                             (delinkServiceDetailsToMainComponent)="delinkService($event)"
                                             (syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"
                                             (deregisterAssetToMainComponent)="deregisterAsset($event)"
  ></app-right-sidebar></div>

  <app-right-sider-to-add [assetSelectedType]="assetSelectedType" [resetAddAssetFormValue]="resetAddAssetFormValue" (savedAssetCardToAssetList)="savedAssetCardToAssetList($event)" (assetRegistrationErrorMsgToAssetList)="assetRegistrationErrorMsgToAssetList($event)"  ></app-right-sider-to-add>

  <app-alert-popup [selectedAssetToLinkCount]="selectedAssetToLinkCount" [assetRegisterErrorMsg]="assetRegisterErrorMessages"
                   (confirmedDelink)="confirmedDelink($event)" (confirmedlink)="confirmedlink($event)" (confirmedServicelink)="confirmedServicelinkToAsset($event)"
                   (confirmedDeregisteringAsset)="confirmedDeregisteringAsset($event)" (confirmedServiceDelink)="confirmedServiceDelinkFromAsset($event)"></app-alert-popup>


  <div class="col-md-12  col-sm-12 d-flex justify-content-center" *ngIf="allAssets.length > 0" style="margin-top: 10px">
    <mat-paginator #paginator *ngIf="pagination.totalPageCount > 0" [length]="pagination.totalPageCount"
                   [showFirstLastButtons]="true" (page)="getDataByPageNo($event)" [pageIndex]="0"
                   [pageSize]="pagination.recordsPerPage">
    </mat-paginator>
    <mat-form-field color="accent" style="text-align: center" class="matPagination">
      <mat-select placeholder="Select Page" [(ngModel)]="pageNumber" (ngModelChange)="updatePageNumber($event)">
        <mat-option *ngFor="let pageNo of inputArr" [value]="pageNo">{{pageNo}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <button class="btn showAssetRegisterErrorMsgBtn" id="assetRegisterErrorMsgBtn" style="display: none"></button>
  <div class="messagePopup deregisterAssetSuccessfully">
    Deregistered Asset Successfully
  </div>

  <div class="messagePopup updatedAssetSuccessfully">
    Updated Asset Successfully
  </div>

  <div class="messagePopup savedAssetSuccessfully">
    Saved Asset Successfully
  </div>
